package com.smppw.common.pojo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * indexes_profile
 * @author 
 */
public class IndexesProfile implements Serializable {
    /**
     * id
     */
    private Integer id;

    /**
     * 指数Id
     */
    private String indexId;

    /**
     * 指数类型，见池库基础参数表
     */
    private Integer indexType;

    /**
     * 指数二级类型，见池库基础参数表
     */
    private Integer indexTypeSecond;

    /**
     * 指数三级类型，见池库基础参数表
     */
    private Integer indexTypeThird;

    /**
     * 指数类型：1-对冲基金指数、2-信心指数、3-公募基金指数、4-沪深港股票指数、5-全球股票指数、6-金汇期指、7-无风险利率、-1-其他
     */
    private Integer indexTypeId;

    /**
     * 指数代码
     */
    private String indexCode;

    /**
     * 指数中文全称
     */
    private String indexName;

    /**
     * 指数中文简称
     */
    private String indexShortName;

    /**
     * 1-中国，2-全球
     */
    private Integer indexAreaFlag;

    /**
     * 指数提供机构ID
     */
    private String indexFamilyId;

    /**
     * 指数发布周期，1-日度、2-周、3-月度、4-季度、5-半年度、6-年度

     */
    private Integer pricingFrequency;

    /**
     * 指数基期，指数开始日期
     */
    private Date inceptionDate;

    /**
     * 指数基点
     */
    private BigDecimal indexInitialValue;

    /**
     * 计算指数所使用的货币，1-人民币，2-港币，3-美元、-1-其他
     */
    private Integer baseCurrency;

    /**
     * 编制指数所使用的计算方法
     */
    private String calculationMethod;

    /**
     * 计算成份基金权重的方法
     */
    private String weightingScheme;

    /**
     * 成份基金筛选方法
     */
    private String selectionScheme;

    /**
     * 指数重构周期，1-周、2-月度、3-季度、4-半年度、5-年度、-1-其他
     */
    private Integer reconstitutionFrequency;

    /**
     * 指数调整周期，1-周、2-月度、3-季度、4-半年度、5-年度、-1-其他
     */
    private Integer rebalanceFrequency;

    /**
     * 创建者Id,默认第一次创建者名称，创建后不变更
     */
    private Integer creatorid;

    /**
     * 创建时间,默认第一次创建的getdate()时间
     */
    private Date createtime;

    /**
     * 修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同
     */
    private Integer updaterid;

    /**
     * 修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同
     */
    private Date updatetime;

    /**
     * 记录的有效性；1-有效；0-无效；
     */
    private Byte isvalid;

    /**
     * 质检员ID
     */
    private String qc;

    /**
     * 质检日期
     */
    private Date qcdate;

    /**
     * 质检状态
     */
    private Integer qcstate;

    /**
     * 审核人员ID
     */
    private String auditor;

    /**
     * 审核时间
     */
    private Date auditdate;

    /**
     * 审核状态
     */
    private Integer auditstate;

    /**
     * 质检员意见
     */
    private String qcremark;

    /**
     * 审核员意见
     */
    private String auditremark;

    /**
     * 备注
     */
    private String remark;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getIndexId() {
        return indexId;
    }

    public void setIndexId(String indexId) {
        this.indexId = indexId;
    }

    public Integer getIndexType() {
        return indexType;
    }

    public void setIndexType(Integer indexType) {
        this.indexType = indexType;
    }

    public Integer getIndexTypeSecond() {
        return indexTypeSecond;
    }

    public void setIndexTypeSecond(Integer indexTypeSecond) {
        this.indexTypeSecond = indexTypeSecond;
    }

    public Integer getIndexTypeThird() {
        return indexTypeThird;
    }

    public void setIndexTypeThird(Integer indexTypeThird) {
        this.indexTypeThird = indexTypeThird;
    }

    public Integer getIndexTypeId() {
        return indexTypeId;
    }

    public void setIndexTypeId(Integer indexTypeId) {
        this.indexTypeId = indexTypeId;
    }

    public String getIndexCode() {
        return indexCode;
    }

    public void setIndexCode(String indexCode) {
        this.indexCode = indexCode;
    }

    public String getIndexName() {
        return indexName;
    }

    public void setIndexName(String indexName) {
        this.indexName = indexName;
    }

    public String getIndexShortName() {
        return indexShortName;
    }

    public void setIndexShortName(String indexShortName) {
        this.indexShortName = indexShortName;
    }

    public Integer getIndexAreaFlag() {
        return indexAreaFlag;
    }

    public void setIndexAreaFlag(Integer indexAreaFlag) {
        this.indexAreaFlag = indexAreaFlag;
    }

    public String getIndexFamilyId() {
        return indexFamilyId;
    }

    public void setIndexFamilyId(String indexFamilyId) {
        this.indexFamilyId = indexFamilyId;
    }

    public Integer getPricingFrequency() {
        return pricingFrequency;
    }

    public void setPricingFrequency(Integer pricingFrequency) {
        this.pricingFrequency = pricingFrequency;
    }

    public Date getInceptionDate() {
        return inceptionDate;
    }

    public void setInceptionDate(Date inceptionDate) {
        this.inceptionDate = inceptionDate;
    }

    public BigDecimal getIndexInitialValue() {
        return indexInitialValue;
    }

    public void setIndexInitialValue(BigDecimal indexInitialValue) {
        this.indexInitialValue = indexInitialValue;
    }

    public Integer getBaseCurrency() {
        return baseCurrency;
    }

    public void setBaseCurrency(Integer baseCurrency) {
        this.baseCurrency = baseCurrency;
    }

    public String getCalculationMethod() {
        return calculationMethod;
    }

    public void setCalculationMethod(String calculationMethod) {
        this.calculationMethod = calculationMethod;
    }

    public String getWeightingScheme() {
        return weightingScheme;
    }

    public void setWeightingScheme(String weightingScheme) {
        this.weightingScheme = weightingScheme;
    }

    public String getSelectionScheme() {
        return selectionScheme;
    }

    public void setSelectionScheme(String selectionScheme) {
        this.selectionScheme = selectionScheme;
    }

    public Integer getReconstitutionFrequency() {
        return reconstitutionFrequency;
    }

    public void setReconstitutionFrequency(Integer reconstitutionFrequency) {
        this.reconstitutionFrequency = reconstitutionFrequency;
    }

    public Integer getRebalanceFrequency() {
        return rebalanceFrequency;
    }

    public void setRebalanceFrequency(Integer rebalanceFrequency) {
        this.rebalanceFrequency = rebalanceFrequency;
    }

    public Integer getCreatorid() {
        return creatorid;
    }

    public void setCreatorid(Integer creatorid) {
        this.creatorid = creatorid;
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public Integer getUpdaterid() {
        return updaterid;
    }

    public void setUpdaterid(Integer updaterid) {
        this.updaterid = updaterid;
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    public Byte getIsvalid() {
        return isvalid;
    }

    public void setIsvalid(Byte isvalid) {
        this.isvalid = isvalid;
    }

    public String getQc() {
        return qc;
    }

    public void setQc(String qc) {
        this.qc = qc;
    }

    public Date getQcdate() {
        return qcdate;
    }

    public void setQcdate(Date qcdate) {
        this.qcdate = qcdate;
    }

    public Integer getQcstate() {
        return qcstate;
    }

    public void setQcstate(Integer qcstate) {
        this.qcstate = qcstate;
    }

    public String getAuditor() {
        return auditor;
    }

    public void setAuditor(String auditor) {
        this.auditor = auditor;
    }

    public Date getAuditdate() {
        return auditdate;
    }

    public void setAuditdate(Date auditdate) {
        this.auditdate = auditdate;
    }

    public Integer getAuditstate() {
        return auditstate;
    }

    public void setAuditstate(Integer auditstate) {
        this.auditstate = auditstate;
    }

    public String getQcremark() {
        return qcremark;
    }

    public void setQcremark(String qcremark) {
        this.qcremark = qcremark;
    }

    public String getAuditremark() {
        return auditremark;
    }

    public void setAuditremark(String auditremark) {
        this.auditremark = auditremark;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}